Bug 354291 - pam_krb5 : syslog messages
pam_krb5 : syslog messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam_krb5 (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 11:34 EDT by Stéphane BERTIN
Modified: 2009-01-20 16:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.14-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stéphane BERTIN 2007-10-26 11:34:35 EDT
Description of problem:
Before to post, I read changelog of latest version (pam_krb5-2.2.18-1)
but I didn't find a patch for this bug.
I noticed that pam_krb5 (pam_krb5-2.2.11-1.x86_64 RHEL5.0) sends syslog
messages to USER.INFO whereas it should send them to AUTH.INFO.
Here is an example of message traced in USER.INFO via syslog :
"pam_krb5[2271]: authentication fails for 'user' (user@domain.com): User
not known to the underlying authentication module (Client not found in
Kerberos database)"

Version-Release number of selected component (if applicable):
pam_krb5-2.2.11-1.x86_64 RHEL5.0

How reproducible:
Try an authentication throw ssh or other service configured to use pam_krb5 on
monitor syslog file.
Comment 1 RHEL Product and Program Management 2007-12-03 15:47:00 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 RHEL Product and Program Management 2008-06-02 16:29:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 16:19:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0135.html

Note You need to log in before you can comment on or make changes to this bug.